﻿Public Class FormMain
    Dim count As Integer
    Private Sub FormMain_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles MyBase.KeyPress, RadioButtonNumbers.KeyPress, RadioButtonLetters.KeyPress, RadioButtonAll.KeyPress, ButtonFont.KeyPress, ButtonBackground.KeyPress, ButtonSong.KeyPress, ButtonQuit.KeyPress
        If count = 7 Then
            If RadioButtonLetters.Checked = True Then
                If (Asc(e.KeyChar) >= 65 And Asc(e.KeyChar) <= 90) Or _
          (Asc(e.KeyChar) >= 97 And Asc(e.KeyChar) <= 122) Then

                    LabelLcase.Text = LCase(e.KeyChar)
                    LabelUcase.Text = UCase(e.KeyChar)
                    ShowLetter()
                    PlayFile(e.KeyChar)
                End If

            ElseIf RadioButtonNumbers.Checked = True Then
                If (Asc(e.KeyChar) >= 48 And Asc(e.KeyChar) <= 57) Then

                    LabelNumber.Text = e.KeyChar
                    ShowNumber()
                    PlayFile(e.KeyChar)
                End If
            Else
                If RadioButtonAll.Checked = True Then
                    If (Asc(e.KeyChar) >= 65 And Asc(e.KeyChar) <= 90) Or
                       (Asc(e.KeyChar) >= 97 And Asc(e.KeyChar) <= 122) Then

                        LabelLcase.Text = LCase(e.KeyChar)
                        LabelUcase.Text = UCase(e.KeyChar)
                        ShowLetter()
                        PlayFile(e.KeyChar)
                    ElseIf (Asc(e.KeyChar) >= 48 And Asc(e.KeyChar) <= 57) Then
                        LabelNumber.Text = e.KeyChar
                        ShowNumber()
                        PlayFile(e.KeyChar)
                    End If

                End If

            End If
            count = 1
        End If



    End Sub

    Private Sub FormMain_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        count = 1
        LabelUcase.Text = ""
        LabelLcase.Text = ""
        ShowLetter()
    End Sub


    Private Sub ShowLetter()
        LabelU.Visible = True
        LabelL.Visible = True
        LabelUcase.Visible = True
        LabelLcase.Visible = True
        LabelN.Visible = False
        LabelNumber.Visible = False
    End Sub


    Private Sub ShowNumber()
        LabelU.Visible = False
        LabelL.Visible = False
        LabelUcase.Visible = False
        LabelLcase.Visible = False
        LabelN.Visible = True
        LabelNumber.Visible = True
    End Sub


    Private Sub ButtonBackground_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonBackground.Click, BackgroundColorToolStripMenuItem.Click
        If ColorDialog1.ShowDialog = DialogResult.OK Then
            Me.BackColor = ColorDialog1.Color
        End If
    End Sub

    Private Sub ButtonFont_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonFont.Click, FontColorToolStripMenuItem.Click
        If ColorDialog1.ShowDialog = DialogResult.OK Then
            LabelLcase.ForeColor = ColorDialog1.Color
            LabelUcase.ForeColor = ColorDialog1.Color
            LabelU.ForeColor = ColorDialog1.Color
            LabelL.ForeColor = ColorDialog1.Color
            LabelN.ForeColor = ColorDialog1.Color
            LabelNumber.ForeColor = ColorDialog1.Color
            RadioButtonAll.ForeColor = ColorDialog1.Color
            RadioButtonLetters.ForeColor = ColorDialog1.Color
            RadioButtonNumbers.ForeColor = ColorDialog1.Color
        End If

    End Sub

    Private Sub ButtonSong_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonSong.Click, AlphabetSongToolStripMenuItem.Click
        PlayFile("abcsong")
    End Sub

    Private Sub PlayFile(ByRef Name As String)
        Try
            My.Computer.Audio.Play(Application.StartupPath + "\WAV_Folder\" + Name + ".wav")
        Catch
            MsgBox("Please Reinstall The Program, The WAV Folder Not Found")
        End Try

    End Sub

    Private Sub ExitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Close()
    End Sub

    Private Sub LettersToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        RadioButtonLetters.Checked = True
    End Sub

    Private Sub AllToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        RadioButtonAll.Checked = True
    End Sub

    Private Sub NumbersToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        RadioButtonNumbers.Checked = True
    End Sub

    Private Sub ExitToolStripMenuItem_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        Close()
    End Sub

    Private Sub LettersToolStripMenuItem_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LettersToolStripMenuItem.Click
        RadioButtonLetters.Checked = True
    End Sub

    Private Sub AllToolStripMenuItem_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AllToolStripMenuItem.Click
        RadioButtonAll.Checked = True
    End Sub

    Private Sub NumbersToolStripMenuItem_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NumbersToolStripMenuItem.Click
        RadioButtonNumbers.Checked = True
    End Sub

    Private Sub AboutToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutToolStripMenuItem.Click
        AboutBox1.ShowDialog()
    End Sub

    Private Sub ViewHelpToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ViewHelpToolStripMenuItem.Click
        FormHelp.ShowDialog()
    End Sub

    Private Sub ButtonQuit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonQuit.Click
        Close()
    End Sub


    Private Sub SpeakABCs_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SpeakABCs.Tick
        If count >= 1 And count < 6 Then
            count += 1
        Else
            count = 7
        End If
    End Sub
End Class
